This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 482859

Summary: yum update fails - ERROR with rpm_check_debug vs depsolve:
Product: Red Hat Enterprise Linux 5 Reporter: Johnny <johnny.vergeer>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: high Docs Contact:
Priority: low    
Version: 5.1   
Target Milestone: rc   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-02 11:49:46 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Console session for failed "yum update"
none
Second run of "yum update" none

Description Johnny 2009-01-28 10:58:50 EST
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; InfoPath.1; FDM; .NET CLR 3.0.04506.30; .NET CLR 3.0.04506.648)

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libstdc++.so.5()(64bit) is needed by (installed) symcli-core
libstdc++.so.5()(64bit) is needed by (installed) symcli-storbase
libstdc++.so.5()(64bit) is needed by (installed) TIVsm-API64
libstdc++.so.5(CXXABI_1.2)(64bit) is needed by (installed) symcli-core
libstdc++.so.5(CXXABI_1.2)(64bit) is needed by (installed) symcli-storbase
libstdc++.so.5(CXXABI_1.2)(64bit) is needed by (installed) TIVsm-API64
libstdc++.so.5(GLIBCPP_3.2)(64bit) is needed by (installed) symcli-core
libstdc++.so.5(GLIBCPP_3.2)(64bit) is needed by (installed) symcli-storbase
libstdc++.so.5(GLIBCPP_3.2)(64bit) is needed by (installed) TIVsm-API64
libstdc++.so.5(CXXABI_1.2) is needed by (installed) TIVsm-API
libstdc++.so.5(GLIBCPP_3.2) is needed by (installed) TIVsm-API
libstdc++.so.5(GLIBCPP_3.2.2) is needed by (installed) TIVsm-API
Complete!
(1, ['Please report this error in bugzilla'])


Reproducible: Always

Steps to Reproduce:
Run yum update

Running "yum update" again gives:

<snip>
Transaction Summary
=============================================================================================================================================
Install     21 Package(s)
Update     351 Package(s)
Remove       0 Package(s)

Total size: 393 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libstdc++.so.5()(64bit) is needed by (installed) symcli-core
libstdc++.so.5()(64bit) is needed by (installed) symcli-storbase
libstdc++.so.5()(64bit) is needed by (installed) TIVsm-API64
libstdc++.so.5(CXXABI_1.2)(64bit) is needed by (installed) symcli-core
libstdc++.so.5(CXXABI_1.2)(64bit) is needed by (installed) symcli-storbase
libstdc++.so.5(CXXABI_1.2)(64bit) is needed by (installed) TIVsm-API64
libstdc++.so.5(GLIBCPP_3.2)(64bit) is needed by (installed) symcli-core
libstdc++.so.5(GLIBCPP_3.2)(64bit) is needed by (installed) symcli-storbase
libstdc++.so.5(GLIBCPP_3.2)(64bit) is needed by (installed) TIVsm-API64
libstdc++.so.5(CXXABI_1.2) is needed by (installed) TIVsm-API
libstdc++.so.5(GLIBCPP_3.2) is needed by (installed) TIVsm-API
libstdc++.so.5(GLIBCPP_3.2.2) is needed by (installed) TIVsm-API
Complete!
(1, ['Please report this error in bugzilla'])

Actual Results:  
yum update fails

Expected Results:  
update should work.

Issue seems to be related to TSM (TIVsm) and EMC (symcli) components being installed.
Comment 1 Johnny 2009-01-28 11:06:29 EST
Created attachment 330239 [details]
Console session for failed "yum update"
Comment 2 Johnny 2009-01-28 11:09:04 EST
Created attachment 330240 [details]
Second run of "yum update"

Re-running "yum update"
Comment 3 James Antill 2009-01-28 11:12:53 EST
Can you try updating rpm and see if that helps?
Comment 4 Johnny 2009-01-28 11:29:22 EST
No luck. RPM updates okay, but same "yum update" error.
Comment 5 Johnny 2009-01-29 05:53:17 EST
Adding compat-libstdc++-33-3.2.3-61 solved this issue.

From EMC Solution Enable Release Notes:


Solutions Enabler install on Linux

Solutions Enabler requires GCC standard C++ library
/usr/lib/libstdc++.so.5 for its dynamically linked C++ binaries.
This generally comes with libstdc++ rpm. Some new versions of
Linux (RH Enterprise Linux Server release 5, SuSE 10, some RH
Enterprise Linux Server 4 and SuSE 9 ) come with
/usr/lib/libstdc++.so.6. This is found in systems with GCC
version 3.4 and above or systems with libstdc++ version 3.4 and
above.

In these system, make sure that compat-libstdc++ rpm
(compat-libstdc++-33 in Redhat Linux) is installed before
installing Solutions Enabler. compat-libstdc++ rpm provides
compatible C++ libraries.

Run the following command to check for compatibility:

rpm -qa | grep libstdc++

libstdc++-4.1.1-52.el5
libstdc++-devel-4.1.1-52.el5
compat-libstdc++-33-3.2.3-61

rpm -ql compat-libstdc++-33-3.2.3-61

/usr/lib/libstdc++.so.5
/usr/lib/libstdc++.so.5.0.7

If you do not have the correct version installed, obtain and install it
before proceeding with the Solutions Enabler installation. The library
can be installed by running the following command:

rpm -ivh compat-libstdc++*.rpm
Comment 6 James Antill 2009-02-02 11:49:46 EST
The confusing thing is that if I do:

 yum provides 'libstdc++.so.5()(*)'


...the only hit I get is for "compat-libstdc++-33-3.2.3-61", which isn't as being removed. So I _think_ what has happened is that the deps. got broken at some point (something removed "compat-libstdc++-33-3.2.3-61") but because yum wasn't dealing with that package it doesn't check and so is happy. And for whatever reason rpm does check and so is unhappy. Running:

 package-cleanup --problems

...should have shown the problem.